Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.pages
Interface NavigationNode

All Known Implementing Classes:
  Page, PageGroup

    public interface NavigationNode

Method Summary
`java.lang.String` | `asParentLink()`
`java.lang.String` | `getFullTitle()`
`java.lang.String` | `getShortTitle()`
`java.lang.String` | `getURL()`
`void` | `setParent(NavigationNode parent)` Sets the page's parent.
`void` | `setShowLinkToPreviousSibling(boolean showLink)`
`void` | `setSiblings(java.lang.String siblingsTitle, java.util.List siblingPages)` Sets a list of `Page`s that are siblings of this page.
`void` | `write()`

Method Detail

### setParent

    void setParent(NavigationNode parent)

  Sets the page's parent. The generated page will link back to the parent.

### setSiblings

    void setSiblings(java.lang.String siblingsTitle,
                     java.util.List siblingPages)

  Sets a list of `Page`s that are siblings of this page. The generated page will contain a navigation list that links to all siblings. The sibling list may contain the page itself.

  Parameters:
    `siblingsTitle` - Title for navigation list, e.g. "Monthly Reports"
    `sibling` - A list of `Page`s

### setShowLinkToPreviousSibling

    void setShowLinkToPreviousSibling(boolean showLink)

### getURL

    java.lang.String getURL()

### getShortTitle

    java.lang.String getShortTitle()

### getFullTitle

    java.lang.String getFullTitle()

### write

    void write()

### asParentLink

    java.lang.String asParentLink()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD